package info.textgrid.lab.aggregator.perspectives;

import info.textgrid.lab.aggregator.views.PreviewView;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;


/**
 *  This class is meant to serve as an example for how various contributions
 *  are made to a perspective. Note that some of the extension point id's are
 *  referred to as API constants while others are hardcoded and may be subject
 *  to change.
 */
public class PreviewPerspective implements IPerspectiveFactory {

	private IPageLayout factory;

	public PreviewPerspective() {
		super();
	}

	@Override
	public void createInitialLayout(IPageLayout factory) {
		this.factory = factory;
		addViews();
	}

	private void addViews() {
		// Creates the overall folder layout.
		// Note that each new Folder uses a percentage of the remaining EditorArea.

		final IFolderLayout left =
			factory.createFolder(
				"left", //NON-NLS-1
				IPageLayout.LEFT,
				0.25f,
				factory.getEditorArea());
		left.addView("info.textgrid.lab.navigator.view");

		final IFolderLayout right =
				factory.createFolder("right", //$NON-NLS-1$
						IPageLayout.RIGHT,
						0.75f,
					factory.getEditorArea());
		right.addView(PreviewView.ID);

		factory.setEditorAreaVisible(false);
	}


}
